Name:           python-r5py
Version:        1.0.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python wrapper for the R5 routing analysis engine

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later or MIT
URL:            https://github.com/r5py/r5py.git
Source:         %{pypi_source r5py}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'r5py' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-r5py
Summary:        %{summary}

%description -n python3-r5py %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-r5py docs,tests


%prep
%autosetup -p1 -n r5py-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs,tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-r5py -f %{pyproject_files}


%changelog
%autochangelog